
<div class="col-sm-12">
    <h1 class="title new_title_jobs">Displaying <%= @jobs.count %> Jobs<br/></h1>
    <!-- <div class="divider no-margin"></div> -->
</div>
<div class="clearfix"></div>
<!-- <div class="vr_scroll search-lists-scroll"> -->
<div class="vr_scroll search_vr_scroll">
    <ul class="search-lists">
        <%# logger.info "===josb==#{@jobs.inspect}" %>
        <%= render partial: 'job_listing', locals: { '@jobs': @jobs} %>
        <input type="text" hidden="true" id="page_number"/>
    </ul>
</div>
<!-- </div> -->
<div class="row">
    <div class="col-md-4 pull-right load-more-btn" style="margin-bottom: 5px;">
        <% if @total > 10 %>
            <%= link_to 'Load More', 'javascript:void(0)', class: 'load_jobs btn btn-theme rounded' %>
        <% end %>
    </div>
</div>

<script>

    $(document).ready(function($) {

        if (window.history && window.history.pushState) {

            $(window).on('popstate', function() {
              var hashLocation = location.hash;
              var hashSplit = hashLocation.split("#!/");
              var hashName = hashSplit[1];

              if (hashName !== '') {
                var hash = window.location.hash;
                if (hash === '') {
                  // alert('Back button was pressed.');
                  window.location.pathname = '/jobs'
                  // window.location.pathname = '/interstride/jobs'
                }
              }
            });

            window.history.pushState('forward', null, './#forward');
        }

    });
$(function() {
  // $('.loader').hide();  // hide it initially.
  $(document)
    .ajaxStart(function() {

      //   console.log('ajaxStart');
      // $('.loader').show(); // show on any Ajax event.
    })
    .ajaxStop(function() {
        // console.log('ajaxend');
      // $('.loader').hide(); // hide it when it is done.
      $(".vr_scroll").mCustomScrollbar({
        axis:"y",
        theme:"dark-3",
        advanced: {
          autoExpandVerticalScroll:true //optional (remove or set to false for non-dynamic/static elements)
        }
      });
  });
})
</script>
